<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:tsi="http://skat.dk/begrebsmodel/2006/09/07/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:dap="http://toldskat.dk/xml/schemas/raplet/2005/01/01/">
	<xsl:output method="text" indent="no" omit-xml-declaration="yes" encoding="UTF-8" media-type="text"/>
	<!-- DAP XSLT version 1.0 for "AngivelseTypeNavn" -->
	<xsl:template name="separator">
		<xsl:if test="position() &gt;1">, </xsl:if>
	</xsl:template>
	<xsl:template name="AngivelseTypeNavn">
		<xsl:choose>
			<xsl:when test=".='1'">
				<xsl:text>Moms</xsl:text>
			</xsl:when>
			<xsl:when test=".='2'">
				<xsl:text>Punktafgift</xsl:text>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="tsi:AngivelseTypeNavn">
			<xsl:call-template name="AngivelseTypeNavn"/>
	</xsl:template>
	<xsl:template match="dap:DapSvar">
		<xsl:for-each select=".//dap:Begreber[preceding-sibling::dap:BegrebsDbID = 'tsi:AngivelseTypeNavn']/dap:NestetBegreb/dap:VisningsVaerdi">
			<xsl:call-template name="separator"/>
			<xsl:apply-templates/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
